{==============================================================================}
Function HextoInt (lc_Hex : String) : LongInt;
{------------------------------------------------------------------------------}
{  Change a hexadecimal number to a long integer and return it
{==============================================================================}
Var
  lc_Char : String;
  lc_Digit : LongInt;
  lc_Pos : Integer;
  lc_Multiplier : Longint;
  lc_Total : Longint;

Begin
  lc_Hex := UpperCase(lc_Hex);
  lc_Total := 0;
  If Length(lc_Hex)>6 Then HextoInt := 0
  Else
  Begin
    For lc_Pos := 1 to Length(lc_Hex) Do
    Begin
      lc_Char := Copy(lc_Hex, lc_Pos, 1);
      If lc_Char = '0' Then lc_Digit := 0;
      If lc_Char = '1' Then lc_Digit := 1;
      If lc_Char = '2' Then lc_Digit := 2;
      If lc_Char = '3' Then lc_Digit := 3;
      If lc_Char = '4' Then lc_Digit := 4;
      If lc_Char = '5' Then lc_Digit := 5;
      If lc_Char = '6' Then lc_Digit := 6;
      If lc_Char = '7' Then lc_Digit := 7;
      If lc_Char = '8' Then lc_Digit := 8;
      If lc_Char = '9' Then lc_Digit := 9;
      If lc_Char = 'A' Then lc_Digit := 10;
      If lc_Char = 'B' Then lc_Digit := 11;
      If lc_Char = 'C' Then lc_Digit := 12;
      If lc_Char = 'D' Then lc_Digit := 13;
      If lc_Char = 'E' Then lc_Digit := 14;
      If lc_Char = 'F' Then lc_Digit := 15;

      Case (Length(lc_Hex) - lc_Pos) of
        0 : lc_Multiplier := 1;
        1 : lc_Multiplier := 16;
        2 : lc_Multiplier := 256;
        3 : lc_Multiplier := 4096;
        4 : lc_Multiplier := 65536;
        5 : lc_Multiplier := 1048576;
      End;
      lc_Digit := lc_Digit * lc_Multiplier;
      lc_Total := lc_Total + lc_Digit;
    End;
End;
HextoInt := lc_Total
End;


